/**
 * WordPress Dependencies
 */
import { addFilter } from '@wordpress/hooks';
import apiFetch from '@wordpress/api-fetch';

/**
 * Internal Dependencies
 */
import './variations/post-curator';

// Import styles
import './styles.scss';

// Middleware to shoehorn in query parameter for querying all post types
apiFetch.use(( options, next ) => {

	// Check that this is the posts endpoint and it contains orderby=include
	// (which indicates that this is a curated loop)
	if (options?.path
		&& options.path.startsWith('/wp/v2/posts')
		&& options.path.includes('orderby=include')
	) {
		options.path += '&dmg_query_loop_block_enhancements_post_curator=1'
	}

	return next( options );
});
